<main>
  <h1 *ngIf="!winner">Current player: {{ player }}</h1>
  <h1 *ngIf="winner">Player {{ lastPlayer }} won the game!</h1>
  <div class="row">
    <div class="column">
      <p>Board size: {{ boardLength }}</p>
      <input
        type="range"
        aria-label="Board size."
        min="3"
        max="10"
        value="3"
        #BoardLengthEvent
        (input)="setBoardLength(BoardLengthEvent.value)"
      />
    </div>
    <button nbButton outline status="danger" (click)="newGame()">
      New game
    </button>
    <div class="column">
      <p>In row to win: {{ numInRowToWin }}</p>
      <input
        type="range"
        aria-label="Number tacs in row to win."
        min="3"
        [max]="boardLength"
        value="3"
        #numInRowToWinEvent
        (input)="setNumInRowToWin(numInRowToWinEvent.value)"
      />
    </div>
  </div>
  <div class="row" *ngFor="let arr of squares; let row = index">
    <app-square
      class="column"
      [label]="'board button, row: ' + row + ' column: ' + column"
      *ngFor="let val of arr; let column = index; trackBy: trackByFn"
      [player]="playerAtPos(row, column)"
      [size]="size"
      (click)="makeMove(row, column)"
    ></app-square>
  </div>
</main>
